<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Table-abstraction</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
<div class="center-table">
        <table class="table">
    <tbody >
        <tr>
            <td class="table-cell" colspan="2"></td>
            <td class="table-cell" colspan="3"></td>
            <td class="table-cell black"></td>
            <td class="table-cell"></td>
        </tr>
        <tr>
            <td class="table-cell"></td>
            <td class="table-cell blue" colspan="4" rowspan="2"></td>
            <td class="table-cell yellow" colspan="2"></td>

        </tr>
        <tr>
            <td class="table-cell" rowspan="2"></td>
            <td class="table-cell"></td>
            <td class="table-cell"></td>

        </tr>
        <tr>
            <td class="table-cell black" colspan="2" rowspan="2"></td>
            <td class="table-cell" colspan="2"></td>
            <td class="table-cell" colspan="2"></td>
        </tr>
        <tr>
            <td class="table-cell yellow" rowspan="3"></td>
            <td class="table-cell" colspan="2"></td>
            <td class="table-cell red" colspan="2" rowspan="2"></td>
        </tr>
        <tr>
            <td class="table-cell" colspan="2" rowspan="2"></td>
            <td class="table-cell black" colspan="2"></td>
        </tr>
        <tr>
            <td class="table-cell yellow" colspan="2"></td>
            <td class="table-cell blue" colspan="2" rowspan="2"></td>
        </tr>
        <tr>
            <td class="table-cell">
                <p class="table-row-number">8</p>
            </td>
            <td class="table-cell" colspan="2"></td>
            <td class="table-cell black" ></td>
            <td class="table-cell yellow"></td>
        </tr>
<!--        <tr class="last-row">-->
<!--            <td class="table-cell ">-->
<!--                <p class="table-row-number">9</p>-->
<!--            </td>-->
<!--            <td class="table-cell"></td>-->
<!--            <td class="table-cell" ></td>-->
<!--            <td class="table-cell" ></td>-->
<!--            <td class="table-cell" ></td>-->
<!--            <td class="table-cell"></td>-->
<!--            <td class="table-cell"></td>-->
<!--        </tr>-->



    </tbody>
</table>
</div>
</body>
</html>